Go to main content

Oracle® Solaris 11.4 Release Notes

Exit Print View

Updated: October 2018
 
 

Using Java 8

Updating to Oracle Solaris 11.4 removes Java 7. The default version of Java for Oracle Solaris 11.3 is Java 8. If the default version of Java on your Oracle Solaris 11.3 system was changed by re-setting the java mediated link (as in pkg set-mediator -V 1.7 java), then after upgrade to Oracle Solaris 11.4, this link points to a path that does not exist. To use Java 8, do one of the following:

  • Reset the mediated link.

    # pkg set-mediator -V 1.8 java
  • Specify the full path to Java 8: /usr/jdk/instances/jdk1.8.0/bin/java